package annotation

import "reflect"

// Annotation is interface
type Annotation interface {
}

// AnnotationType is type of Annotation
var AnnotationType = reflect.TypeOf((*Annotation)(nil)).Elem()

// TypeAnnotation is interface
type TypeAnnotation interface {
	Annotation
}

// TypeAnnotationType is type of TypeAnnotation
var TypeAnnotationType = reflect.TypeOf((*TypeAnnotation)(nil)).Elem()

// FieldAnnotation is interface
type FieldAnnotation interface {
	Annotation
}

// FieldAnnotationType is type of FieldAnnotation
var FieldAnnotationType = reflect.TypeOf((*FieldAnnotation)(nil)).Elem()

// MethodAnnotation is interface
type MethodAnnotation interface {
	Annotation
}

// MethodAnnotationType is type of MethodAnnotation
var MethodAnnotationType = reflect.TypeOf((*MethodAnnotation)(nil)).Elem()
